using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class WeatherShortTermForecast {
        [Column(TypeName = "datetime")]
        public DateTime? BaseTime { get; set; }
        [Column("nx")]
        public int? Nx { get; set; }
        [Column("ny")]
        public int? Ny { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime? ForecastTime { get; set; }
        [Column("PTY"), Display(Name = "강수형태")]
        public double? Pty { get; set; }
        [Column("RN1"), Display(Name = "1시간 강수량")]
        public double? Rn1 { get; set; }
        [Column("SKY"), Display(Name = "하늘상태")]
        public double? Sky { get; set; }
        [Column("LGT"), Display(Name = "낙뢰")]
        public double? Lgt { get; set; }
        [StringLength(4)]
        public string Type { get; set; }
        [Column("DBTime", TypeName = "datetime")]
        public DateTime? Dbtime { get; set; }
        public int? Version { get; set; }
    }
}
